package cmd

import (
	"kpt-pasture/config"
	"kpt-pasture/service/milk"

	"github.com/spf13/cobra"
)

var MilkCmd = &cobra.Command{
	Use:   "milk",
	Short: "Milk Hall Data",
	Run: func(cmd *cobra.Command, args []string) {
		bootMilk(config.Options())
	},
}

func bootMilk(cfg *config.AppConfig) {
	findMilkDataService := milk.NewMilkDataService(cfg.MilkHall)
	files, err := findMilkDataService.ReadFiles()
	if err != nil {
		panic(err)
	}
	findMilkDataService.Run(files)
}
